package be.iminds.ilabt.jfed.call_log_output;

import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 4/10/2015
 * Time: 15:25
 */
@Singleton
public class CallReportReaderFactory {
    private final CallReportFactory callReportFactory;

    @Inject
    public CallReportReaderFactory(CallReportFactory callReportFactory) {
        this.callReportFactory = callReportFactory;
    }

    public CallReportReader createCallReportReader(CallRestoreContext callRestoreContext) {
        return new CallReportReader(callRestoreContext, callReportFactory);
    }
}
